# SXP Reference

SablotCreateSituation | Functions

#### Syntax

         SablotCreateSituation(sPtr)

Name | Type | Description
--- | --- | ---
`sPtr` | `SablotSituation *` | Pointer to where the result is to be stored.
`(RET)` | `int` | The error code.

#### Description

Creates a `SablotSituation` which is passed to many Sablotron functions and can be later destroyed by a call to `SablotDestroySituation`.

#### Notes

`SablotCreateSituation` is declared in `sablot.h`.

#### See Also

Groups | [ Functions ]
Entries | [ SablotDestroySituation | SablotSituation ]

© 2001-2003 Ginger Alliance
revision 03-01-31
This page was generated by APIDOC